body,
a,
p,
h1,
h2,
h3,
h4,
h5,
ul,
ol,
li {
  margin: 0;
  padding: 0;
  font-family: "Roboto", sans-serif;
  color: #222;
}

a {
  text-decoration: none;
}

a:hover {
  color: #222;
}

ul,
ol,
li {
  list-style: none;
}

button {
  background-color: transparent;
  border: unset;
}

.flex-center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.flex-between {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.flex-end {
  display: flex;
  justify-content: end;
  align-items: center;
}

.site-btn {
  padding: 12px 32px;
  border-radius: 40px;
  letter-spacing: 0.8px;
  text-transform: uppercase;
}

.section-wrapper {
  margin-bottom: 100px;
}

.section-title {
  font-size: 36px;
  font-family: "Cormorant Garamond", serif;
}

.cursor-pointer {
  cursor: pointer;
}

.social-icons a {
  width: 36px;
  height: 36px;
  line-height: 36px;
  border-radius: 50%;
  text-align: center;
  transition: 0.3s all;
  color: #578f63;
  font-size: 20px;
}

header .social-icons a {
  color: #578f63;
}

header .social-icons a:hover {
  background-color: #578f63;
}

header .social-icons a:hover {
  color: #fff;
}

header .contact a {
  margin-right: 16px;
  font-size: 14px;
}

header .contact a:hover {
  color: #578f63;
}

header {
  background-color: #fff;
  padding: 12px 0;
}

header .site-logo {
  width: 94px;
}

header ul {
  margin-right: 20px;
}

header li a {
  padding: 10px 18px;
  border-radius: 24px;
}

header li a:hover {
  background-color: #eaeaea;
}

footer {
  background-color: #578f63;
  padding: 12px 0;
  text-align: center;
}

footer p {
  font-size: 14px;
  color: #fff;
}

footer .social-icons a {
  color: #fff;
}

footer .social-icons a:hover {
  background-color: #fff;
  color: #578f63;
}

.call-btn {
  display: block;
  width: max-content;
  background-color: #578f63;
  color: #fff;
}

.call-btn:hover {
  background-color: #52825c;
  color: #e6e6e6;
}

.banner {
  background-image: url("/images/banner.JPG");
  background-size: cover;
  background-position: bottom;
  height: 560px;
  position: relative;
}

.dark-overlay {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.5);
}

.banner .content {
  position: relative;
  z-index: 2;
  max-width: 732px;
  text-align: center;
}

.banner .content h1 {
  font-size: 56px;
  font-weight: 500;
  margin-bottom: 28px;
  color: #fff;
  font-family: "Luxurious Script", cursive;
}

.banner .content p {
  color: #fff;
  font-size: 18px;
  margin-bottom: 24px;
}

.banner a {
  background-color: #578f63;
  color: #fff;
  font-size: 20px;
  display: block;
  margin: 0 auto;
  width: max-content;
  animation-name: animation-btn-scale;
  animation-duration: 1s;
  animation-timing-function: cubic-bezier(0.645, 0.045, 0.355, 1);
  animation-delay: 0s;
  animation-direction: alternate;
  animation-iteration-count: infinite;
  animation-fill-mode: none;
  animation-play-state: running;
}

.banner a:hover {
  background-color: #52825c;
  color: #e6e6e6;
}

.image-description {
  position: relative;
}

.section-thumbnail {
  width: 100%;
  border-radius: 12px;
  box-shadow: #222 0 0 21px;
}

.image-description h2 {
  margin-bottom: 16px;
  position: relative;
  z-index: 1;
}

.image-description p {
  z-index: 1;
}

.campsites {
  background-color: #d5d5d5;
  padding: 100px 0;
}

.about-floating-vector {
  position: absolute;
  top: -72px;
  left: -86px;
  transform: rotate(-30deg);
}

.floating-img {
  width: 206px;
}

.destinations-floating-vector {
  position: absolute;
  top: -86px;
  right: 0;
  transform: rotate(15deg);
}

.gallery-floating-vector {
  position: absolute;
  top: -114px;
  left: -24px;
  transform: rotate(-30deg);
}

.simple-heading h2 {
  margin-bottom: 16px;
}

.simple-heading.center {
  text-align: center;
}

.simple-heading.center p {
  display: block;
  margin: 0 auto;
  max-width: 70%;
}

.bg-section {
  padding: 100px 0;
  min-height: 480px;
  background-size: cover;
  background-position: center;
  position: relative;
  background-attachment: fixed;
}

.bg-section .overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: linear-gradient(
    0.25turn,
    rgba(0, 0, 0, 0.4),
    rgba(0, 0, 0, 0.4),
    rgba(87, 143, 99, 0.4)
  );
}

.bg-section .simple-heading {
  position: relative;
  z-index: 2;
}

.bg-section img {
  border-radius: 12px;
  max-width: 100%;
}

.bg-section h2 {
  color: #fff;
}

.bg-section p {
  color: #fff;
  max-width: 65%;
}

.gallery-grid {
  column-count: 4;
  column-gap: 10px;
  position: relative;
  z-index: 2;
}

.gallery-grid .imgWrap {
  margin: 0;
  display: grid;
  grid-template-rows: 1fr auto;
  margin-bottom: 10px;
  break-inside: avoid;
  position: relative;
  overflow: hidden;
  border-radius: 8px;
}

.gallery-grid .imgOverlay {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: -100%;
  background: rgba(0, 0, 0, 0.5);
  padding: 12px;
  display: flex;
  transition: 0.3s all ease-in-out;
  border-radius: 8px;
}

.gallery-grid .imgOverlay span {
  display: block;
  margin: auto 0 0;
  color: #fff;
  font-size: 18px;
}

.gallery-grid .imgWrap:hover .imgOverlay {
  left: 0;
}

.gallery-grid .imgWrap img {
  grid-row: 1 / -1;
  grid-column: 1;
  max-width: 100%;
  display: block;
  transition: 0.3s ease-in-out all;
}

@keyframes animation-btn-scale {
  0% {
    transform: scale(1);
  }

  to {
    transform: scale(1.05);
  }
}

@media (max-width: 600px) {
  .container {
    padding: 0 20px;
  }

  .site-btn {
    padding: 8px 24px;
    font-size: 14px;
  }

  .section-wrapper {
    margin-bottom: 60px;
  }

  .section-title {
    font-size: 28px;
  }

  .simple-heading.center {
    text-align: left;
  }

  .simple-heading.center p {
    max-width: 100%;
  }

  header .site-logo {
    width: 64px;
  }

  header .contact {
    flex-direction: column;
  }

  .banner {
    padding: 0 20px;
  }

  .banner .content h1 {
    font-size: 52px;
  }

  .banner .content p {
    font-size: 16px;
  }

  .banner .content a {
    font-size: 16px;
  }

  .image-description h2 {
    margin-bottom: 10px;
  }

  .image-description a {
    margin-bottom: 32px;
  }

  .image-description p {
    margin-bottom: 32px;
  }

  .campsites {
    padding: 60px 0;
  }

  .bg-section {
    background-attachment: scroll;
  }

  .bg-section p {
    max-width: 100%;
  }

  .gallery-grid {
    column-count: 2;
  }

  .floating-img {
    width: 160px;
  }

  .about-floating-vector {
    top: -82px;
    right: 22px;
    left: auto;
    transform: rotate(25deg);
  }

  .destinations-floating-vector {
    top: -88px;
    right: 22px;
  }

  .gallery-floating-vector {
    transform: rotate(20deg);
    top: -72px;
    right: 24px;
    left: auto;
  }

  .gallery-grid .imgOverlay {
    left: 0;
  }

  .gallery-grid .imgOverlay span {
    font-size: 16px;
  }
}
